
class Chef::Recipe::ChappHelper < Chef::Recipe
  
  def initialize recipe
    require 'chapp'
    super(recipe.cookbook_name, recipe.recipe_name, recipe.run_context)
  end
  
  # Initializes the helper class
  def self.init recipe
    @@helper = ChappHelper.new recipe
    @@db = Chapp.database
    @@app_config = @@db.app_config @@helper.node["chapp"]["app_id"]
    @@wiring = nil
  end
  
  def self.app_config
    @@app_config
  end
  
  def self.eval_wiring wiring
    @@wiring = Chapp::Wiring.new @@app_config, @@db, @@helper.node
    @@wiring.instance_eval wiring
  end
  
  def self.publish_app_attributes
    @@db.write_app_attributes @@app_config.id, @@wiring.announcements
  end
  
end