
# This needs to be installed at compile time
chef_gem "chapp"

ChappHelper.init self

wiring_file_path = "#{Chef::Config[:file_cache_path]}/#{node["chapp"]["app_id"]}_wiring.rb"

# TODO: Choose to pull from databag or cookbook
# TODO: Possibly build cookbook file path from app recipe

# Make wiring DSL file available
cookbook_file "chapp/wiring.rb" do
  source "chapp/wiring.rb"
  cookbook ChappHelper.app_config.cookbook
  path wiring_file_path
  backup false
end

# Evaluate/Apply wiring DSL
ruby_block "Evaluate/Apply Chapp wiring" do
  block do
    ChappHelper.eval_wiring IO.read(wiring_file_path)
  end
end
